libxkbcommon: Data Fields

libxkbcommon 1.13.2 Library implementing the XKB specification for parsing keyboard descriptions and handling keyboard state

Loading...
Searching...
No Matches
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:
C
K
L
M
O
R
S
V
X

### - c -

- xkb_components_names_from_rules() : xkb_component_names
- xkb_compose_state_feed() : xkb_compose_state
- xkb_compose_state_get_compose_table() : xkb_compose_state
- xkb_compose_state_get_one_sym() : xkb_compose_state
- xkb_compose_state_get_status() : xkb_compose_state
- xkb_compose_state_get_utf8() : xkb_compose_state
- xkb_compose_state_new() : xkb_compose_state
- xkb_compose_state_ref() : xkb_compose_state
- xkb_compose_state_reset() : xkb_compose_state
- xkb_compose_state_unref() : xkb_compose_state
- xkb_compose_table_entry_keysym() : xkb_compose_table_entry
- xkb_compose_table_entry_sequence() : xkb_compose_table_entry
- xkb_compose_table_entry_utf8() : xkb_compose_table_entry
- xkb_compose_table_iterator_free() : xkb_compose_table_iterator
- xkb_compose_table_iterator_new() : xkb_compose_table_iterator
- xkb_compose_table_iterator_next() : xkb_compose_table_iterator
- xkb_compose_table_new_from_buffer() : xkb_compose_table
- xkb_compose_table_new_from_file() : xkb_compose_table
- xkb_compose_table_new_from_locale() : xkb_compose_table
- xkb_compose_table_ref() : xkb_compose_table
- xkb_compose_table_unref() : xkb_compose_table
- xkb_context_get_log_level() : xkb_context
- xkb_context_get_log_verbosity() : xkb_context
- xkb_context_get_user_data() : xkb_context
- xkb_context_include_path_append() : xkb_context
- xkb_context_include_path_append_default() : xkb_context
- xkb_context_include_path_clear() : xkb_context
- xkb_context_include_path_get() : xkb_context
- xkb_context_include_path_reset_defaults() : xkb_context
- xkb_context_new() : xkb_context
- xkb_context_num_include_paths() : xkb_context
- xkb_context_ref() : xkb_context
- xkb_context_set_log_fn() : xkb_context
- xkb_context_set_log_level() : xkb_context
- xkb_context_set_log_verbosity() : xkb_context
- xkb_context_set_user_data() : xkb_context
- xkb_context_unref() : xkb_context

### - k -

- xkb_keymap_get_as_string() : xkb_keymap
- xkb_keymap_get_as_string2() : xkb_keymap
- xkb_keymap_key_by_name() : xkb_keymap
- xkb_keymap_key_for_each() : xkb_keymap
- xkb_keymap_key_get_mods_for_level() : xkb_keymap
- xkb_keymap_key_get_name() : xkb_keymap
- xkb_keymap_key_get_syms_by_level() : xkb_keymap
- xkb_keymap_key_iter_t : xkb_keymap
- xkb_keymap_key_repeats() : xkb_keymap
- xkb_keymap_layout_get_index() : xkb_keymap
- xkb_keymap_layout_get_name() : xkb_keymap
- xkb_keymap_led_get_index() : xkb_keymap
- xkb_keymap_led_get_name() : xkb_keymap
- xkb_keymap_max_keycode() : xkb_keymap
- xkb_keymap_min_keycode() : xkb_keymap
- xkb_keymap_mod_get_index() : xkb_keymap
- xkb_keymap_mod_get_mask() : xkb_keymap
- xkb_keymap_mod_get_mask2() : xkb_keymap
- xkb_keymap_mod_get_name() : xkb_keymap
- xkb_keymap_new_from_buffer() : xkb_keymap
- xkb_keymap_new_from_file() : xkb_keymap
- xkb_keymap_new_from_names() : xkb_keymap
- xkb_keymap_new_from_names2() : xkb_keymap
- xkb_keymap_new_from_rmlvo() : xkb_keymap
- xkb_keymap_new_from_string() : xkb_keymap
- xkb_keymap_num_layouts() : xkb_keymap
- xkb_keymap_num_layouts_for_key() : xkb_keymap
- xkb_keymap_num_leds() : xkb_keymap
- xkb_keymap_num_levels_for_key() : xkb_keymap
- xkb_keymap_num_mods() : xkb_keymap
- xkb_keymap_ref() : xkb_keymap
- xkb_keymap_unref() : xkb_keymap

### - l -

- layout : xkb_rule_names

### - m -

- model : xkb_rule_names

### - o -

- options : xkb_rule_names

### - r -

- rules : xkb_rule_names
- xkb_rmlvo_builder_append_layout() : xkb_rmlvo_builder
- xkb_rmlvo_builder_append_option() : xkb_rmlvo_builder
- xkb_rmlvo_builder_new() : xkb_rmlvo_builder
- xkb_rmlvo_builder_ref() : xkb_rmlvo_builder
- xkb_rmlvo_builder_unref() : xkb_rmlvo_builder

### - s -

- xkb_state_get_keymap() : xkb_state
- xkb_state_key_get_consumed_mods() : xkb_state
- xkb_state_key_get_consumed_mods2() : xkb_state
- xkb_state_key_get_layout() : xkb_state
- xkb_state_key_get_level() : xkb_state
- xkb_state_key_get_one_sym() : xkb_state
- xkb_state_key_get_syms() : xkb_state
- xkb_state_key_get_utf32() : xkb_state
- xkb_state_key_get_utf8() : xkb_state
- xkb_state_layout_index_is_active() : xkb_state
- xkb_state_layout_name_is_active() : xkb_state
- xkb_state_led_index_is_active() : xkb_state
- xkb_state_led_name_is_active() : xkb_state
- xkb_state_mod_index_is_active() : xkb_state
- xkb_state_mod_index_is_consumed() : xkb_state
- xkb_state_mod_index_is_consumed2() : xkb_state
- xkb_state_mod_indices_are_active() : xkb_state
- xkb_state_mod_mask_remove_consumed() : xkb_state
- xkb_state_mod_name_is_active() : xkb_state
- xkb_state_mod_names_are_active() : xkb_state
- xkb_state_new() : xkb_state
- xkb_state_ref() : xkb_state
- xkb_state_serialize_layout() : xkb_state
- xkb_state_serialize_mods() : xkb_state
- xkb_state_unref() : xkb_state
- xkb_state_update_key() : xkb_state
- xkb_state_update_latched_locked() : xkb_state
- xkb_state_update_mask() : xkb_state

### - v -

- variant : xkb_rule_names

### - x -

- xkb_x11_keymap_new_from_device() : xkb_keymap
- xkb_x11_state_new_from_device() : xkb_state